Skip to main content
GET
Get a signature request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

signatureRequestId
string
required

The ID of the signature request

Response

Signature request retrieved successfully

signatureRequestId
string
required

The unique identifier of the signature request

Example:

"sr_abc123"

templateId
string
required

The template ID associated with the signature request

Example:

"tmpl_abc123"

signers
object[]
required

People who will sign, in signing order

sender
object
required
status
enum<string>
required

Current status of the signature request

Available options:
Created,
Completed,
Expired
Example:

"Created"

testMode
boolean
required

Whether the signature request is in test mode

Example:

false

fields
object[]
required

Envelope fields with current values. Signature image data is never returned.